POST
https://api.hyperleapai.com/prompt-runs/asyncRun a specific prompt based on the Prompt ID and Prompt Version ID passed in. The results will be streamed using HTTP/2. Not recommended when creating classifiers to make decisions, since full response is not available for decision making.
Authenticated with your API key in the x-hl-api-key request header.
Request body
application/jsonpromptIdstring · uuidrequiredpromptVersionIdstring · uuidnullableobjectnullable
JsonNode
streambooleanResponses
400Bad Request
application/jsonArray of ModelError
Exception
MethodBase
messageanytruncateddataanytruncatedinnerExceptionanytruncatedhelpLinkanytruncatedsourceanytruncatedhResultanytruncatedstackTraceanytruncatederrorMessageanytruncatedExample payload
[
{
"exception": {
"targetSite": {
"memberType": 1,
"name": "string",
"declaringType": {
"name": null,
"customAttributes": null,
"namespace": null,
"assemblyQualifiedName": null,
"fullName": null
}
}
}
}
][
{
"exception": {
"targetSite": {
"memberType": 1,
"name": "string",
"declaringType": {
"name": null,
"customAttributes": null,
"namespace": null,
"assemblyQualifiedName": null,
"fullName": null
}
}
}
}
]500Internal Server Error
No response body.
curl -X POST "https://api.hyperleapai.com/prompt-runs/async" \
-H "x-hl-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"promptId": "string",
"promptVersionId": "string",
"replacements": {
"key": {
"options": {
"propertyNameCaseInsensitive": true
}
}
},
"stream": true
}'curl -X POST "https://api.hyperleapai.com/prompt-runs/async" \
-H "x-hl-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"promptId": "string",
"promptVersionId": "string",
"replacements": {
"key": {
"options": {
"propertyNameCaseInsensitive": true
}
}
},
"stream": true
}'